Subject: Re: 7.1/ClarisWorks

From: Lars-Erik Fredriksson <[email-masked]>
Date: Wed, 18 Aug 1993 22:26:21 +0200

In a previous posting Martin Heijdra pointed out:

>Claris USA should be easily able to sell an English-menu,
>Worldscript compatible ClarisWorks.

Yes They should should they not! But the fact as I understand it is that they
*really* don't! They also should be able to have a WS compatible
FileMaker Pro but they don't do they? Well the fact is that they
have been (along with most other software-producers) ignoring
people with the absolute dayly need to process multiple scripts.

We have to face it! We have not become a large enough marketshare
yet. WorldScript is very nicely described by Apple but there is
very few working solutions available and the ones that does, only
does so if we squeze them a bit and twists their arm a little!

Sorry to be so impatient but I started saying that the mac would be the
only truely multilingual system already in 1985 and well sure sort of
impressive it must be by most californians standards! But i'm not
complaining about the long promised linelayout manager here I wan't
some basic simple wordprocessing to work and some databases not to
munger my data when I try to edit it on the scren in vernacular mode.
I think I should not have to get the monstrously timeconsuming 4th
Dimension (both when it comes to procesing data and the time it'll
take to learn to program) just to maintain some thousand records of
chinese data mixed with some japanese and korean ones.

I must say that the idea of "Language Kits" seems good but I have
had very little sucess using the Japanese+Trad Chinese+SimpChinese
+Korean on top of the International system. (B.T.W. does anyone
know why the "enter" key that used to bring up the Hanmun-candidates
in the Korean input under 6.07 does not work? Did they change it?)

And what is "input back support Tuneup!" (IBS Tuneup) What is Parrot?
from the Taiwan system. Is there any documented conflict between the
various WS-doublebyte TT-fonts using the TT-Font-Cache? I have the whole
thing running finally in a sort of workable way. 6 meg TT-fontcache.
System eats up 5,367 Kb just to boot and my systemfolder takes up
89 Megabytes on my harddisk. with very few roman fonts and only 2 different
TT-fonts for each of the two Chinese, and the Japanese and Korean scripts.

Hmm, I would be more than happy also if someone could tell me why I am
getting some lines with chinese in bold and some thin when I print
FDEF/FBIT-fonts (the old bitmapped fonts) under the WS-system. I did
not have any such problem under 6.07-systems.

Hmpf, I better stop but I feel soo grumpy! When will it finally
work properly or will it never...

I don't even dare to think when I can expect my mongolian and manchu
data to be processable in any decent "unkludgy" way   ;-)

I do run Nisus (Japanese version SoloWriter as there are really too many
problems with the dongle on the Complete Flag version and I hate to carry
it back and forth between my two machines one at the office and one at home!
What if I loose it in the bar on the way home ;-(

Then I sort of work with Filemaker Pro. I have to enter all my data in
FileMaker Plus (that is better behaved as I think it uses TextEdit-
routines (even old Microsoft File did a better job with Twobyte-scripts
than Fmkr Pro.) Then I use Hypercard a lot but it is soo sloooow.
I did convert some of my databases to Fourth Dimension but it is such
an unflexible environment.

        Keep well and please tell me what you can make work and how!
        I really hate the division whitin Apple in "national markets"
        As I feel that this is the reason we are not heading in the
        right direction. I really should not have to get a Korean
        this or a Japanese that. A Taiwanese Pagemaker with a dongle
        for this and that! Can you imagine carrying along the docking
        facility all the time just to be able to plug in different
        dongles to use some TT-fonts from Taiwan if you were smart enough
        to buy A DuoMac portable just because they "weigh so little"!!!

        Some people in the systemdevelopement group should be given
        more control and a fatter budget so they could get some truly
        multilingual systems out. And developement should be directed
        towards a world were it is acknowledged that most people will
        have to deal with several languages and therefore several scripts
        Yes I have great expectations for Unicode but will the geniuses
        software-companies excecutives allow the real genius software
        programmers to let us live in a multilingual world!

        Maby we should all switch to english instead ;-)

        I'm truly sorry for this "tirade" but I suddenly had "enough"

        You can come cry on my sholder next week...

        Lars Fredriksson  (aka mrfung)

PS. I agree that Martins postings have been much much more informative
than mine!!! ;-) I was just amazed at the fact that he seems so positive
and was curious to know how one gets that way! Hi Martin! ;-)

*********************************************************************
* Lars E Fredriksson,   |     Email:EUNET: [email-masked].      *
* Far Eastern Library   |       Telephone: Int + 46 8 666 43 94     *
* Box 163 58            | or office modem: Int + 46 8 620 45 43     *
* S-103 27 STOCKHOLM    |   or office fax: Int + 46 8 678 77 51     *
* SWEDEN                |   or home modem: Int + 46 8 646 15 60     *
*********************************************************************
* Be the first to support UNICODE in your neighbourhood kill ASCII  *
*********************************************************************